Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	QMPDClient, an MPD client written in Qt 4.1.
Name:		qmpdclient
Version:	1.0.8
Release:	2
License:	GNU/GPL 
URL:		http://havtknut.tihlde.org/qmpdclient
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Source1:	qmpdclient.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libmpd-devel qt4-devel

%description
QMPDClient, an MPD client written in Qt 4.1.

%prep
%setup -q

%build
export PATH="/opt/qt4/bin:$PATH"
qmake
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 qmpdclient %{buildroot}%{_bindir}/qmpdclient
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/qmpdclient128.png %{buildroot}%{_datadir}/pixmaps/qmpdclient.png
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/qmpdclient.desktop
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%{_datadir}/pixmaps/qmpdclient.png
%{_datadir}/applications/qmpdclient.desktop
%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.8-2
- rebuild against new libmpd 0.15.1
* Sat Jul 14 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.8-1
- Version Update
* Tue Feb 20 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.7-1
- Initial Release
